package com.ruoyi.logistics.mapper;

import java.util.List;
import com.ruoyi.logistics.domain.SysCity;

/**
 * 城市管理Mapper接口
 * 
 * @author RuiJing
 * @date 2026-01-29
 */
public interface SysCityMapper 
{
    /**
     * 查询城市管理
     * 
     * @param id 城市管理主键
     * @return 城市管理
     */
    public SysCity selectSysCityById(Long id);

    /**
     * 查询城市管理列表
     * 
     * @param sysCity 城市管理
     * @return 城市管理集合
     */
    public List<SysCity> selectSysCityList(SysCity sysCity);

    /**
     * 新增城市管理
     * 
     * @param sysCity 城市管理
     * @return 结果
     */
    public int insertSysCity(SysCity sysCity);

    /**
     * 修改城市管理
     * 
     * @param sysCity 城市管理
     * @return 结果
     */
    public int updateSysCity(SysCity sysCity);

    /**
     * 删除城市管理
     * 
     * @param id 城市管理主键
     * @return 结果
     */
    public int deleteSysCityById(Long id);

    /**
     * 批量删除城市管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysCityByIds(Long[] ids);
}
